diff configure.sh @ 65:bb53b2e2d548

revamped the handling of blob libs
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 01 Oct 2016 19:36:13 +0000
parents 9c16635ee5d2
children 46d9d68a3911
line wrap: on
line diff
--- a/configure.sh	Sat Oct 01 18:33:04 2016 +0000
+++ b/configure.sh	Sat Oct 01 19:36:13 2016 +0000
@@ -84,13 +84,49 @@
 	LIBS="$LIBS $current_lib"
 }
 
-blob_lib() {
+blob_lib_std() {
+	if [ $# != 1 ]
+	then
+		echo "Error: blob_lib_std takes 1 argument" 1>&2
+		exit 1
+	fi
+	current_lib="../blobs/libs/$1.lib"
+	LIBS="$LIBS $current_lib"
+}
+
+blob_lib_gpf() {
 	if [ $# != 1 ]
 	then
-		echo "Error: blob_lib takes 1 argument" 1>&2
+		echo "Error: blob_lib_gpf takes 1 argument" 1>&2
+		exit 1
+	fi
+	current_lib="../blobs/gpflibs/$1.lib"
+	LIBS="$LIBS $current_lib"
+}
+
+blob_lib_os() {
+	if [ $# != 1 ]
+	then
+		echo "Error: blob_lib_os takes 1 argument" 1>&2
 		exit 1
 	fi
-	current_lib="../$1"
+	current_lib="../blobs/oslibs/$1.lib"
+	LIBS="$LIBS $current_lib"
+}
+
+blob_lib_custom() {
+	if [ $# != 2 ]
+	then
+		echo "Error: blob_lib_custom takes 2 arguments" 1>&2
+		exit 1
+	fi
+	if [ -z "$1" ]
+	then
+		echo "Error: this config is not supported on this target" 1>&2
+		exit 1
+	fi
+	cp $1 $BUILD_DIR/$2.lib
+	current_lib=$2.lib
 	LIBS="$LIBS $current_lib"
 }